Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class Id

    java.lang.Object
      com.bea.netuix.application.identifier.Id

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  BookDefinitionId, BookGroupId, BookInstanceId, com.bea.netuix.application.identifier.CategoryDefinitionId, CommunityDefinitionId, CommunityMemberId, CommunityMembershipId, DesktopInstanceId, InvitationId, InviteeId, LayoutDefinitionId, LocalizationIntersectionId, LocalizationLocaleId, LookAndFeelDefinitionId, MarkupDefinitionId, MenuDefinitionId, MessagingAddressId, NotificationId, NotificationPayloadId, PageDefinitionId, PageInstanceId, PlaceholderDefinitionId, PlacementId, PortletDefinitionId, PortletInstanceId, ShellDefinitionId, ThemeDefinitionId

    public class Id

extends Object
implements Serializable

All other Id classes extend this class. It represents the primary keys of portal objects in the database, and is used to uniquely identify them. `Id` will be needed when customizing most portal objects on a desktop.

WARNING: This class should only be created through classes that extend it and never directly using its constructor.

See Also
  Serialized Form
  This class is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this class without notice. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`protected int` | `id`

Constructor Summary
`Id(int id)` WARNING: This class should only be created through classes that extend it and never directly using its constructor.

Method Summary
`static boolean` | `equals(Id id1, Id id2)` Return true if the two IDs are equal (like Id.equals(), but allowing null values for both operands).
`boolean` | `equals(Object o)`
`int` | `getId()` This method should only be used internally by the framework.
`String` | `getUniqueLabel()` Deprecated This method has inconsistent and unexpected behavior and should not be used. It will be removed in a future release.
`int` | `hashCode()`
`void` | `setId(int id)` This method should only be used internally by the framework.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

Constructor Detail

### Id

    public Id(int id)

  WARNING: This class should only be created through classes that extend it and never directly using its constructor.

  Parameters
    `id` - the integer value that this `Id` should be set to.

Method Detail

### getId

    public int getId()

  This method should only be used internally by the framework.

  Returns
    the integer value of the `Id`.

### setId

    public void setId(int id)

  This method should only be used internally by the framework.

  Parameters
    `id` - the integer value that this `Id` should be set to.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - an `Id` object to compare to this `Id`.
  Returns
    `true` if this object is the same as the obj argument; `false` otherwise.

### equals

    public static boolean equals(Id id1,
                                 Id id2)

  Return true if the two IDs are equal (like Id.equals(), but allowing null values for both operands).

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns
    a hash code value for this object.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    the string value of the integer representing the `Id`.

### getUniqueLabel

    @Deprecated
    public String getUniqueLabel()

  Deprecated This method has inconsistent and unexpected behavior and should not be used. It will be removed in a future release.

  This method is deprecated and should not be used; Unexpected and / or inconsistent behavior will result.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved